> ## Documentation Index
> Fetch the complete documentation index at: https://docs.semicola.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Connect a storefront



## OpenAPI

````yaml /openapi/buyer.yaml post /api/v2/buyer/storefronts/{id}/connection
openapi: 3.1.0
info:
  title: Semicola Exchange buyer API
  version: 2.0.0
  description: >-
    Buyer endpoints: advertisers, storefronts and connections, product
    discovery, campaigns, proposals, media buys, creatives and reporting. Every
    write accepts an Idempotency-Key header.
servers:
  - url: https://api.semicola.com
security:
  - bearerAuth: []
  - sessionCookie: []
tags:
  - name: Advertisers
  - name: Storefronts
  - name: Product Discovery
  - name: Campaigns
  - name: Media Buys
  - name: Creatives
  - name: Reporting
  - name: Event Sources
  - name: Webhooks
  - name: Tasks
  - name: Audit Logs
paths:
  /api/v2/buyer/storefronts/{id}/connection:
    post:
      tags:
        - Storefronts
      summary: Connect a storefront
      operationId: postBuyerStorefrontsByIdConnection
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
            exclusiveMinimum: 0
            maximum: 9007199254740991
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                credential:
                  type: object
                  properties:
                    kind:
                      type: string
                      enum:
                        - OAUTH
                        - BEARER
                        - API_KEY
                    value:
                      type: string
                      minLength: 1
                  required:
                    - kind
                    - value
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    anyOf:
                      - type: object
                        properties:
                          sellerId:
                            type: integer
                            exclusiveMinimum: 0
                            maximum: 9007199254740991
                          slug:
                            type: string
                          name:
                            type: string
                          logoUrl:
                            type:
                              - string
                              - 'null'
                          kind:
                            type: string
                            enum:
                              - hosted_storefront
                              - external_agent
                          sellerStatus:
                            type: string
                            enum:
                              - ACTIVE
                              - PENDING
                              - COMING_SOON
                          channels:
                            type: array
                            items:
                              type: string
                              enum:
                                - display
                                - olv
                                - social
                                - search
                                - ctv
                                - linear_tv
                                - radio
                                - streaming_audio
                                - podcast
                                - dooh
                                - ooh
                                - print
                                - cinema
                                - email
                                - gaming
                                - retail_media
                                - influencer
                                - affiliate
                                - product_placement
                                - sponsored_intelligence
                          channelsLine:
                            type: string
                          description:
                            type: string
                          status:
                            type: object
                            properties:
                              kind:
                                type: string
                                enum:
                                  - active
                                  - provisioning
                                  - active_ready
                                  - add
                                  - action_required
                                  - coming_soon
                              label:
                                type: string
                              detail:
                                type:
                                  - string
                                  - 'null'
                            required:
                              - kind
                              - label
                              - detail
                            additionalProperties: false
                          activationState:
                            anyOf:
                              - type: string
                                enum:
                                  - provisioning
                                  - deferred
                                  - active
                                  - action_required
                                  - waiting_on_seller
                                  - retrying
                                  - failed
                                  - retiring
                                  - inactive
                              - type: 'null'
                          requiredAction:
                            anyOf:
                              - type: string
                                enum:
                                  - link_account
                                  - reconnect
                                  - map_account
                                  - complete_advertiser_setup
                                  - payment_required
                                  - accept_direct_billing
                              - type: 'null'
                          advertiserCount:
                            type: integer
                            minimum: 0
                            maximum: 9007199254740991
                          integration:
                            type: string
                            enum:
                              - platform_account
                              - adcp_agent
                              - directory
                              - storefront
                          logoBackground:
                            anyOf:
                              - type: string
                                enum:
                                  - dark-bg
                                  - light-bg
                                  - transparent-bg
                              - type: 'null'
                        required:
                          - sellerId
                          - slug
                          - name
                          - logoUrl
                          - kind
                          - sellerStatus
                          - channels
                          - channelsLine
                          - description
                          - status
                          - activationState
                          - requiredAction
                          - advertiserCount
                        additionalProperties: false
                      - type: 'null'
                  error:
                    anyOf:
                      - type: object
                        properties:
                          code:
                            type: string
                          message:
                            type: string
                          field:
                            type: string
                          details: {}
                        required:
                          - code
                          - message
                        additionalProperties: false
                      - type: 'null'
                required:
                  - data
                  - error
                additionalProperties: false
        default:
          description: >-
            Error envelope `{data: null, error: {code, message, field?,
            details?}}`.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key or OAuth access token.
    sessionCookie:
      type: apiKey
      in: cookie
      name: sc_session

````